## Apache Zeta Components Manual :: Docs For Class ezcWorkflowNodeStart

### Workflow::ezcWorkflowNodeStart

### Class ezcWorkflowNodeStart

An object of the ezcWorkflowNodeStart class represents the one and only tart node of a workflow. The execution of the workflow starts here.

Creating an object of the ezcWorkflow class automatically creates the start node for the new workflow. It can be accessed through the $startNode property of the workflow.

Incoming nodes: 0 Outgoing nodes: 1

Example:

1. <?php
2. $workflow=new ezcWorkflow ('Test');
3. $workflow->startNode-> addOutNode (....some other node here..);
4. ?>

Source for this file: /Workflow/src/nodes/start.php

    ezcWorkflowNode
       |
       --ezcWorkflowNodeStart

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowNodeFinally | Special type of start node that is activated when a workflow execution is cancelled.

### Inherited Constants

From ezcWorkflowNode:
`ezcWorkflowNode::WAITING_FOR_ACTIVATION` | The node is waiting to be activated.
`ezcWorkflowNode::WAITING_FOR_EXECUTION` | The node is activated and waiting to be executed.

### Member Variables

protected integer | `$maxInNodes = 0` Constraint: The maximum number of incoming nodes this node has to have to be valid.
protected integer | `$minInNodes = 0` Constraint: The minimum number of incoming nodes this node has to have to be valid.

### Inherited Member Variables

From ezcWorkflowNode
protected | `ezcWorkflowNode::$activatedFrom`
protected | `ezcWorkflowNode::$activationState`
protected | `ezcWorkflowNode::$configuration`
protected | `ezcWorkflowNode::$id`
protected | `ezcWorkflowNode::$inNodes`
protected | `ezcWorkflowNode::$internalCall`
protected | `ezcWorkflowNode::$maxOutNodes`
protected | `ezcWorkflowNode::$minOutNodes`
protected | `ezcWorkflowNode::$numInNodes`
protected | `ezcWorkflowNode::$numOutNodes`
protected | `ezcWorkflowNode::$outNodes`
protected | `ezcWorkflowNode::$state`
protected | `ezcWorkflowNode::$threadId`

### Inherited Methods

From ezcWorkflowNode
public ezcWorkflowNode | `ezcWorkflowNode::__construct()` Constructs a new node with the configuration $configuration.
public void | `ezcWorkflowNode::accept()` Reimplementation of accept() calls accept on all out nodes.
protected void | `ezcWorkflowNode::activateNode()` Convenience method for activating an (outgoing) node.
public ezcWorkflowNode | `ezcWorkflowNode::addInNode()` Adds a node to the incoming nodes of this node.
public ezcWorkflowNode | `ezcWorkflowNode::addOutNode()` Adds a node to the outgoing nodes of this node.
public mixed | `ezcWorkflowNode::getConfiguration()` Returns the configuration of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getInNodes()` Returns the incoming nodes of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getOutNodes()` Returns the outgoing nodes of this node.
public boolean | `ezcWorkflowNode::removeInNode()` Removes a node from the incoming nodes of this node.
public boolean | `ezcWorkflowNode::removeOutNode()` Removes a node from the outgoing nodes of this node.
public void | `ezcWorkflowNode::verify()` Checks this node's constraints.

Documentation generated by phpDocumentor 1.4.3